Jump to content
cataclysm67

Cant Install SPTD driver for Daemon Tools Windows 10

Recommended Posts

Hi,

Can't seem to install this drive SPTD1.84 for Daemon Tools on Windows 10

All ok on Windows 7 but nothing i try works.

Tried uninstalling everything and re-installing, tried updated SPTD 2.11 , but they won't install

Is there a particular version of Daemon Tools that works on Windows 10 with SCSI drive that works ?

 

Any ideas ?

 

Thanks

Share this post


Link to post
Share on other sites

I've used DT10 Lite 10.2 (SPTD 2.05) and DT10 Lite 10.3 (SPTD 2.10) without issues on Windows 10. The only problem is that the CLI changed in 10.3 which means it doesn't currently work with RocketLauncher unless you modify some code. I got it working on mine and informed the RL devs so they will probably change it in a later update to work with it. But I haven't heard of any issues with simply installing DT10 or the SPTD drivers themselves.

Share this post


Link to post
Share on other sites

I've used DT10 Lite 10.2 (SPTD 2.05) and DT10 Lite 10.3 (SPTD 2.10) without issues on Windows 10. The only problem is that the CLI changed in 10.3 which means it doesn't currently work with RocketLauncher unless you modify some code. I got it working on mine and informed the RL devs so they will probably change it in a later update to work with it. But I haven't heard of any issues with simply installing DT10 or the SPTD drivers themselves.

Using DT10 on Windows 10 I was completely unable to install the SPTD drivers. It would act like it did, and then restart, but would always tell you to install them like it didn't do anything. (I haven't tried 10.2 or 10.3.)

What I ended up doing is using an older version of Daemon tools (The one hosted on RocketLauncher's website) and that has solved the issue for me completely. Kept the install file on a backup HDD in case I ever needed it again ( I do this with all useful tools )

Share this post


Link to post
Share on other sites

Thanks for info from everyone.

I used DT10 as mentioned by agent47 and that seems to have worked, as now I can setup the SCSI drive as well as normal drive.

One question though, on certain systems such as Sega Saturn it says to point Daemon Tools Lite to DTAGENT.exe instead of DTLite.exe in RocketLauncher ?

Do you get this when you are using it on Windows 10 ? Is fine normally in Windows 7 but have noticed a few odd things testing it on Windows 10

 

Thanks

Share this post


Link to post
Share on other sites

Thanks for info from everyone.

I used DT10 as mentioned by agent47 and that seems to have worked, as now I can setup the SCSI drive as well as normal drive.

One question though, on certain systems such as Sega Saturn it says to point Daemon Tools Lite to DTAGENT.exe instead of DTLite.exe in RocketLauncher ?

Do you get this when you are using it on Windows 10 ? Is fine normally in Windows 7 but have noticed a few odd things testing it on Windows 10

 

Thanks

 

DTAgent is the executable that's called via command line for DT10 to mount/unmount discs. So if you're using DT10 you have to set your Virtual Drive Path to DTAgent on the General Settings -> Third Party tab in RLUI.

Share this post


Link to post
Share on other sites

Speaking of which, does anyone have 10.2 somewhere? I bought it and installed on my test cab. Was going to install it on the real cab yesterday but I had only haved DTLiteInstaller.exe which now downloads 10.3 =(

 

I need the DAEMON Tools Lite.exe it downloads to %TEMP%...

Share this post


Link to post
Share on other sites

When I use DTAgent.exe is comes up with a .cda  exit error when I exit the system, e.g. NEC PC Engine CD. It loads games and plays ok, but on exit it keeps saying error in Daemon tools and has a small .cda file in background with the box saying error next to it.

 

Any ideas ?

 

Thanks

Share this post


Link to post
Share on other sites

Speaking of which, does anyone have 10.2 somewhere? I bought it and installed on my test cab. Was going to install it on the real cab yesterday but I had only haved DTLiteInstaller.exe which now downloads 10.3 =(

 

I need the DAEMON Tools Lite.exe it downloads to %TEMP%...

 

http://www.hyperspin-fe.com/files/file/11497-daemon-tools-lite/

Share this post


Link to post
Share on other sites

Hello,

 

i have the same problem with Daemon Tools (thx to gigapig for showing this thread). I just update to DT 10.2 which was posted here on the site, i even change in the Third Party to DTAgent.exe and i download the lastest module, but i always get an error :( Not only on Panasonic 3DO on Sega Saturn etc aswell the same.

 

Daemon Tools Lite:

Unknown Argument in Commandoline.

 

Unbekanntest Argument in Kommandozeile.

 

If somebody would have an idea, i would be happy :)

 

Thanks in advance.

 

 

post-53351-0-48636800-1460883375_thumb.png

Share this post


Link to post
Share on other sites

Hello,

 

i have the same problem with Daemon Tools (thx to gigapig for showing this thread). I just update to DT 10.2 which was posted here on the site, i even change in the Third Party to DTAgent.exe and i download the lastest module, but i always get an error :( Not only on Panasonic 3DO on Sega Saturn etc aswell the same.

 

Daemon Tools Lite:

Unknown Argument in Commandoline.

 

Unbekanntest Argument in Kommandozeile.

 

If somebody would have an idea, i would be happy :)

 

Thanks in advance.

 

You can set "Use SCSI" to false for both those systems and shouldn't then get that error.

Share this post


Link to post
Share on other sites

Thanks for your answer, i assume this option is under my old HL 3.x not available :-/

 

Then i first need to update again, just fear the update to RL and HS1.4 because as i tried it the last time i shoot my complete database, was a hell of a work to get everything working again.

 

Thanks for your help :)

Share this post


Link to post
Share on other sites

Thanks for your answer, i assume this option is under my old HL 3.x not available :-/

 

Then i first need to update again, just fear the update to RL and HS1.4 because as i tried it the last time i shoot my complete database, was a hell of a work to get everything working again.

 

Thanks for your help :)

I may have a driver you can try but it's the 64bit version.

Share this post


Link to post
Share on other sites

I use a 64bit OS, can you upload it some where whats would be your favorite way? :)

 

Thanks again.

Share this post


Link to post
Share on other sites

Thanks for sharing, but doesnt work :(

 

But question, why its not possible to play 3DO and Saturn games without mounting? at least the FourDO supports it, but i cant figure out how its working with the module and Hyperlaunch :)

Only question.

 

Thanks for your help.

Share this post


Link to post
Share on other sites

Thanks for sharing, but doesnt work :(

 

But question, why its not possible to play 3DO and Saturn games without mounting? at least the FourDO supports it, but i cant figure out how its working with the module and Hyperlaunch :)

Only question.

 

Thanks for your help.

 

SSF requires that the games be mounted beforehand because it doesn't mount them internally like other emus do. As far as 4DO goes though it's probably the module itself since it's old (as is HyperLaunch), because 4DO will mount the images itself.

Share this post


Link to post
Share on other sites

Thanks for this nice explaination. I assume i simply need to read again some tutorials to update to Rocket Launcher, as i saw that on the RL wiki is a short tutorial / update and translation tool to do this and simply hope that it works this time :D hehe

Share this post


Link to post
Share on other sites

Am I on crazy pills???  I downloaded the Daemon Tools link and I am not presented with any boxes to uncheck.  I chose Free license to install. After I installed, it seems just about any option I select requires to purchase a key..  The version says 10.2. I thought this was pretty straightforward, but I guess not for me.  I watched Austins tutorial, but that is for the old version.

 

Any guide on setting up 10.2?

Share this post


Link to post
Share on other sites

Am I on crazy pills???  I downloaded the Daemon Tools link and I am not presented with any boxes to uncheck.  I chose Free license to install. After I installed, it seems just about any option I select requires to purchase a key..  The version says 10.2. I thought this was pretty straightforward, but I guess not for me.  I watched Austins tutorial, but that is for the old version.

 

Any guide on setting up 10.2?

 

You just install it but read each window carefully, it should give to the Free option when you install.

 

Try this.http://www.hyperspin-fe.com/files/file/11497-daemon-tools-lite/

 

And if you have issues with SPDT read this relating to W10. http://www.rlauncher.com/wiki/index.php?title=Virtual_Drives#Daemon_Tools_10

Share this post


Link to post
Share on other sites

That is the one I downloaded...I swear buy the old Gods and the new, I did not see those boxes with check-box options during install.  I am always vigilant about those annoying tricks and I didn't see them.  So this is used as free version, everything I need to do I can do with the free version correct?

 

 

Thank you for that page, It turns out that I already have the latest PowerIso registered so I will try that one and see if it works, this should work for multidisc too correct?  Would I be able to set multiple drives and load multiple isos (Final Fantasy 4 disc game)

Share this post


Link to post
Share on other sites

I've used DT10 Lite 10.2 (SPTD 2.05) and DT10 Lite 10.3 (SPTD 2.10) without issues on Windows 10. The only problem is that the CLI changed in 10.3 which means it doesn't currently work with RocketLauncher unless you modify some code. I got it working on mine and informed the RL devs so they will probably change it in a later update to work with it. But I haven't heard of any issues with simply installing DT10 or the SPTD drivers themselves.

What code did you modify? The only version of DT Lite I've found that I can get working with magic engine is ver. 10.4. It's working fine outside of RL/HS but when launching a game in RL, I keep getting error messages about "mount switch syntax error" on launch and "unmount switch syntax error" on exit.

 

If I alt+tab to the error and hit the enter key, RL will then launch magic engine but it acts as if an audio CD is mounted. If I exit magic engine and acknowledge the unmount error, let RL close, then launch magic engine myself outside of RL and boot the same image (which is still mounted from when I tried to launch it with RL) it works just fine.

Share this post


Link to post
Share on other sites

What code did you modify? The only version of DT Lite I've found that I can get working with magic engine is ver. 10.4. It's working fine outside of RL/HS but when launching a game in RL, I keep getting error messages about "mount switch syntax error" on launch and "unmount switch syntax error" on exit.

 

If I alt+tab to the error and hit the enter key, RL will then launch magic engine but it acts as if an audio CD is mounted. If I exit magic engine and acknowledge the unmount error, let RL close, then launch magic engine myself outside of RL and boot the same image (which is still mounted from when I tried to launch it with RL) it works just fine.

 

Did you try DT10.2 that Giga posted here?

Share this post


Link to post
Share on other sites

Did you try DT10.2 that Giga posted here?

Thanks for the quick reply. I did try that one but I couldn't get that to work even outside of RL/HS. I couldn't find any options to create a virtual drive with that version or an option to auto-mount images as an SCSI drive. If the image isn't mounted as SCSI, magic engine doesn't detect that any disc is available.

I edited my settings in RLHQ and changed the SCSI drive letter to 0 rather than the acual letter and that resolved the error on mount (because it essentially changed the command to the proper sntax of (DTAgent.exe -mount scsi, 0 "X:\directory\rom.ccd") but when I tried to modify the unmout portion of the module to the proper syntax fot DT (DTAgent.exe -unmount scsi, 0) or (DTAgent.exe -unmount_all), RL started throwing errors like "unmount all is an unsupported use of virtual drive". I suspect that I could fix this by modifying the VirtualDrive.ahk file in the lib folder but...

To complicate things even more, I realized that even when the mount syntax is correct, magic engine is just loading the syscard3 rom with no disc loaded when trying to load a game with RL. RL is mounting the image properly in DT but doesn't appear to be properly instructing magic engine to "boot" the CD. Everything was working fine in Win7 with DTlite 4.49 but I'd like to get it working in Win10.

The main issue now seems to be that RL isn't sending the correct command to magic engine to run the image and rather, just runs the syscard rom wihtout booting the disc. This issue is getting complicated now but any suggestions or help anyone could give would be greatly appreciated.

Share this post


Link to post
Share on other sites

I use RetroArch for all NEC systems but switched back to Magic Engine to see if there is a problem  and no it loaded up straight away.

I'm using  DT 10.2 which only needs to be installed you don't need to mess with settings and "Use SCSI" is set to true in RLUI.

 

Perhaps post your RL log or also consider using RetroArch.

Share this post


Link to post
Share on other sites

I just upgraded to win 10 and had the older version.  I downloaded the one gigapig posted.  Installed which uninstalled my old one then installed the new version 10.2.  I selected free license and then unchecked the daemon tools sync offer at the end of the install that it wanted to do too.  Rebooted.  I use magic engine (I am like almost done with Y's book 2 on TG16CD and dont feel like typing in the long code to keep my save game, anyway I digress).  I had to set the path to dtagent.exe in RLUI under the 3rdparty tab and I set the drive letter to E as there is no E drive on my computer in RLUI under the path to dtools.  Launched Ys 1+2 and it wanted to install the SPTD driver so installed that and then rebooted.  Tested Ys 1+2 again and it launches but doesnt autoplay anymore I had to press my run key to get it to launch the game.  I believe previously the games auto launched with out hitting a key.

 

Hope that helps as it is working for me now after following the instructions in this thread.  Thanks!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...